rTorrent + ruTorrent

Questions regarding modifying the torrent engine or download station may go here.
Forum rules
Please note the disclaimer before modifying your Synology Product.

Re: rTorrent + ruTorrent

Postby TreeBeard » Mon Jun 04, 2012 7:13 pm

MaximumFish wrote:
maya wrote:I'm also afraid to see if when rebooting the DS gets stuck, but for some crazy reason, I think it's tied to either the above errors, or more likely, maybe I have to manually shut down rtorrent before rebooting?

Fortunately, rtorrent does load when the DS does come back up. I have to force it to shut down and I really don't want to do that. :(

Again, any assistance is most appreciated.


I have the same issue. Even if I manually kill rTorrent beforehand, the DS will get stuck when trying to shutdown or reboot and I have to turn it off manually by holding the power button. Maybe it's lighttpd getting stuck instead? All I know is that this only started occurring since installing rTorrent.

I'm just glad the NAS is generally left on 24/7 so this shouldn't cause too much of an issue. Just annoying when I do need to reboot it for any reason.


I've only recently switched to rtorrent, but I would assume your issue here is with the init script. Check out /var/log/messages after shutting down and restarting and see if there's anything logged about the failure.

If you are familiar with shell scripting, have a look at the script and see if it is apparent where a slip up may occur and/or if there is any logging or actions on exception. I'll have a look as well.

Code: Select all
sudo vi /opt/etc/init.d/S99rtorrent


UPDATE:

Ah, init failures are logged it turns out:

Code: Select all
/opt/var/log/rtorrentInit.log
TreeBeard
I'm New!
I'm New!
 
Posts: 9
Joined: Wed Dec 15, 2010 6:12 pm

Re: rTorrent + ruTorrent

Postby TreeBeard » Mon Jun 04, 2012 8:08 pm

I was able to get the init script functional, fwiw. I copied my script below, if you decide to use this, be sure to alter directories to match your environment. I use a USB external drive as base for rtorrent.

Code: Select all
/opt/etc/init.d/S99rtorrent


Code: Select all
#!/opt/bin/bash
############################################################################
#Optware package of rtorrent uses non-standard layout of directories.     ##
#Uncomment the following line to switch to the default layout of rtorrent.##
############################################################################

dirlayout=CUSTOM

#############
###<Notes>###
#############
# This script depends on screen.
# For the stop function to work, you must set an
# explicit session directory using ABSOLUTE paths (no, ~ is not absolute) in your rtorrent.rc.
# If you typically just start rtorrent with just "rtorrent" on the
# command line, all you need to change is the "user" option.
# Attach to the screen session as your user with
# "screen -dr rtorrent". Change "rtorrent" with srnname option.
# Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com
##############
###</Notes>###
##############

#######################
##Start Configuration##
#######################
# You can specify your configuration in a different file
# (so that it is saved with upgrades, saved in your home directory,
# or whateve reason you want to)
# by commenting out/deleting the configuration lines and placing them
# in a text file (say /home/user/.rtorrent.init.conf) exactly as you would
# have written them here (you can leave the comments if you desire
# and then uncommenting the following line correcting the path/filename
# for the one you used. note the space after the ".".
# . /etc/rtorrent.init.conf

#Do not put a space on either side of the equal signs e.g.
# user = user
# will not work
# system user to run as
user="root"

# the system group to run as, not implemented, see d_start for beginning implementation
# group=`id -ng "$user"`
prefix="/volume1"

# the full path to the filename where you store your rtorrent configuration
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  config="${prefix}/home/${user}/.rtorrent.rc"
else
  config="/opt/etc/rtorrent.conf"
fi

# set of options to run with
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  options=""
else
  options="-n -o import=${config}"
fi

# default directory for screen, needs to be an absolute path
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  base="${prefix}/home/${user}"
else
  base="/volumeUSB1/usbshare/rtorrent"
fi

# name of screen session
srnname="rtorrent"

# file to log to (makes for easier debugging if something goes wrong)
logfile="/opt/var/log/rtorrentInit.log"

#######################
###END CONFIGURATION###
#######################
PATH=/opt/bin:/opt/sbin:/usr/bin:/sbin:/bin:/usr/sbin
DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/etc/init.d/$NAME

# Do not proceed unless some apps are available.
test -x /opt/bin/screen || ( echo "screen not found." | tee -a "$logfile" >&2 ; exit 2 )

checkcnfg() {
        if ! [ -r "${config}" ] ; then
                echo "cannot find readable config ${config}. check that it is there and permissions are appropriate" | tee -a "$logfile" >&2
                exit 3
        fi
       
      session=`getsession "$config"`
       
      if ! [ -d "${session}" ] ; then
                echo "cannot find readable session directory ${session} from config ${config}. check permissions" | tee -a "$logfile" >&2
                exit 3
        fi
}

d_start() {
  [ -d "${base}" ] && cd "${base}"
 
  stty stop undef && stty start undef
 
  screen -dmS ${srnname} rtorrent ${options} 2>$logfile
}

d_stop() {
        session=`getsession "$config"`
       
      if ! [ -s ${session}/rtorrent.lock ] ; then
                return
        fi
       
      pid=`cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g"`
       
      # make sure the pid doesn't belong to another process
        if ps -p ${pid} | fgrep rtorrent ; then
                kill -9 ${pid}
        fi
}

getsession() {
        session=`awk '/^[[:space:]]*session[[:space:]]*=[[:space:]]*/{print($3)}' "$config"`
        echo $session
}

checkcnfg

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
        d_start
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME"
        d_stop
        echo "."
        ;;
  restart|force-reload)
        echo -n "Restarting $DESC: $NAME"
        d_stop
        sleep 1
        d_start
        echo "."
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0

TreeBeard
I'm New!
I'm New!
 
Posts: 9
Joined: Wed Dec 15, 2010 6:12 pm

Re: rTorrent + ruTorrent

Postby TreeBeard » Mon Jun 04, 2012 8:13 pm

Also, keep in mind, the script as designed and packaged is meant to send a kill signal to the rtorrent process instead of quitting rtorrent 'properly' per documentation. This is fine, however on restart, rtorrent will proceed to re-hash all your existing torrents, which may take some time depending upon your hardware and the number of torrents.

Per docs, the recommended way of stopping rtorrent is Ctrl-q from within the process running in screen.
TreeBeard
I'm New!
I'm New!
 
Posts: 9
Joined: Wed Dec 15, 2010 6:12 pm

Re: rTorrent + ruTorrent

Postby SABRE » Sun Jul 08, 2012 8:48 am

My rtorrent + ruTorrent is fully funtional upon almost 2 years, but I noticed that some have update their rtorrent to newer versions. Has anyone with a Synology NAS updated? If so, how did you do that?
SABRE
I'm New!
I'm New!
 
Posts: 5
Joined: Tue Dec 28, 2010 1:09 pm

Re: rTorrent + ruTorrent

Postby boxee » Wed Jul 25, 2012 4:19 pm

i'll buy a Synology USB Station 2. Can i install rtorrent + rutorrent in?

PLEASE. i need an Answer. Thanks. ;D
boxee
I'm New!
I'm New!
 
Posts: 1
Joined: Wed Jul 25, 2012 4:14 pm

Re: rTorrent + ruTorrent

Postby maya » Thu Aug 09, 2012 1:48 am

TreeBeard wrote:I was able to get the init script functional, fwiw. I copied my script below, if you decide to use this, be sure to alter directories to match your environment. I use a USB external drive as base for rtorrent.

Code: Select all
/opt/etc/init.d/S99rtorrent


Code: Select all
#!/opt/bin/bash
############################################################################
#Optware package of rtorrent uses non-standard layout of directories.     ##
#Uncomment the following line to switch to the default layout of rtorrent.##
############################################################################

dirlayout=CUSTOM

#############
###<Notes>###
#############
# This script depends on screen.
# For the stop function to work, you must set an
# explicit session directory using ABSOLUTE paths (no, ~ is not absolute) in your rtorrent.rc.
# If you typically just start rtorrent with just "rtorrent" on the
# command line, all you need to change is the "user" option.
# Attach to the screen session as your user with
# "screen -dr rtorrent". Change "rtorrent" with srnname option.
# Licensed under the GPLv2 by lostnihilist: lostnihilist _at_ gmail _dot_ com
##############
###</Notes>###
##############

#######################
##Start Configuration##
#######################
# You can specify your configuration in a different file
# (so that it is saved with upgrades, saved in your home directory,
# or whateve reason you want to)
# by commenting out/deleting the configuration lines and placing them
# in a text file (say /home/user/.rtorrent.init.conf) exactly as you would
# have written them here (you can leave the comments if you desire
# and then uncommenting the following line correcting the path/filename
# for the one you used. note the space after the ".".
# . /etc/rtorrent.init.conf

#Do not put a space on either side of the equal signs e.g.
# user = user
# will not work
# system user to run as
user="root"

# the system group to run as, not implemented, see d_start for beginning implementation
# group=`id -ng "$user"`
prefix="/volume1"

# the full path to the filename where you store your rtorrent configuration
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  config="${prefix}/home/${user}/.rtorrent.rc"
else
  config="/opt/etc/rtorrent.conf"
fi

# set of options to run with
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  options=""
else
  options="-n -o import=${config}"
fi

# default directory for screen, needs to be an absolute path
if [ "${dirlayout}" = "RTORRENT_DEFAULT" ] ; then
  base="${prefix}/home/${user}"
else
  base="/volumeUSB1/usbshare/rtorrent"
fi

# name of screen session
srnname="rtorrent"

# file to log to (makes for easier debugging if something goes wrong)
logfile="/opt/var/log/rtorrentInit.log"

#######################
###END CONFIGURATION###
#######################
PATH=/opt/bin:/opt/sbin:/usr/bin:/sbin:/bin:/usr/sbin
DESC="rtorrent"
NAME=rtorrent
DAEMON=$NAME
SCRIPTNAME=/etc/init.d/$NAME

# Do not proceed unless some apps are available.
test -x /opt/bin/screen || ( echo "screen not found." | tee -a "$logfile" >&2 ; exit 2 )

checkcnfg() {
        if ! [ -r "${config}" ] ; then
                echo "cannot find readable config ${config}. check that it is there and permissions are appropriate" | tee -a "$logfile" >&2
                exit 3
        fi
       
      session=`getsession "$config"`
       
      if ! [ -d "${session}" ] ; then
                echo "cannot find readable session directory ${session} from config ${config}. check permissions" | tee -a "$logfile" >&2
                exit 3
        fi
}

d_start() {
  [ -d "${base}" ] && cd "${base}"
 
  stty stop undef && stty start undef
 
  screen -dmS ${srnname} rtorrent ${options} 2>$logfile
}

d_stop() {
        session=`getsession "$config"`
       
      if ! [ -s ${session}/rtorrent.lock ] ; then
                return
        fi
       
      pid=`cat ${session}/rtorrent.lock | awk -F: '{print($2)}' | sed "s/[^0-9]//g"`
       
      # make sure the pid doesn't belong to another process
        if ps -p ${pid} | fgrep rtorrent ; then
                kill -9 ${pid}
        fi
}

getsession() {
        session=`awk '/^[[:space:]]*session[[:space:]]*=[[:space:]]*/{print($3)}' "$config"`
        echo $session
}

checkcnfg

case "$1" in
  start)
        echo -n "Starting $DESC: $NAME"
        d_start
        echo "."
        ;;
  stop)
        echo -n "Stopping $DESC: $NAME"
        d_stop
        echo "."
        ;;
  restart|force-reload)
        echo -n "Restarting $DESC: $NAME"
        d_stop
        sleep 1
        d_start
        echo "."
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0



Whoa, I'm lucky to have come back here. I just re-ordered my DS412+, and now I find this!

Thank you SO MUCH! I can't wait to try this out!
maya
I'm New!
I'm New!
 
Posts: 5
Joined: Tue Mar 27, 2012 9:46 pm

Re: rTorrent + ruTorrent

Postby pjs » Sat Aug 18, 2012 9:13 pm

I can't live without magnet support, so here is how i added it. The ipkg version of rtorrent/libtorrent (0.8.6/0.12.6) doesn't come with magnet support, it was added in 0.8.7/0.12.7. Though the latest version is 0.8.9/0.12.9 so i'm just going to use that (since that's what i used on my server before i received my DS412+).

This process requires that you have followed http://forum.synology.com/wiki/index.ph ... rent_HowTo to install the latest xmlrpc. I'm just going to overwrite the rtorrent and libtorrent ipkg installations, so make sure your rtorrent setup is working after you finish those steps.

find a dev directory (i like /tmp/dev) and grab the source packages
Code: Select all
wget http://libtorrent.rakshasa.no/downloads/libtorrent-0.12.9.tar.gz
wget http://libtorrent.rakshasa.no/downloads/rtorrent-0.8.9.tar.gz


You'll need some dependencies
Code: Select all
ipkg install optware-devel openssl-dev ncurses-dev


We're missing the sigc++-2.0-dev package, create the content it would have provided. you'll need to run configure so that we can generate the sigc++config.h file.
Code: Select all
wget http://ipkg.nslu2-linux.org/sources/libsigc++-2.2.3.tar.gz
tar -xf libsigc++-2.2.3.tar.gz
cd libsigc++-2.2.3
./configure --prefix=/opt
cd ..
mkdir -p /opt/include/sigc++-2.0/sigc++ /opt/include/sigc++-2.0/sigc++/functors /opt/include/sigc++-2.0/sigc++/adaptors/lambda

cp libsigc\+\+-2.2.3/sigc++config.h /opt/include/sigc++-2.0/
cp libsigc\+\+-2.2.3/sigc\+\+/*.h /opt/include/sigc++-2.0/sigc++/
cp libsigc\+\+-2.2.3/sigc\+\+/functors/*.h /opt/include/sigc++-2.0/sigc++/functors/
cp libsigc\+\+-2.2.3/sigc\+\+/adaptors/*.h /opt/include/sigc++-2.0/sigc++/adaptors/
cp libsigc\+\+-2.2.3/sigc\+\+/adaptors/lambda/*.h /opt/include/sigc++-2.0/sigc++/adaptors/lambda/

cat > sigc++-2.0.pc
prefix=/opt
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

Name: libsigc++
Description: Typesafe signal and callback system for C++
Version: 2.2.3
Requires:
Libs: -L${libdir} -lsigc-2.0
Cflags: -I${includedir}/sigc++-2.0 -I${libdir}/sigc++-2.0/include


Now extract build libtorrent
Code: Select all
CPPFLAGS="-march=i686" LDFLAGS="-march=i686" ./configure --prefix=/opt
make
make install


Now extract and build rtorrent
Code: Select all
CPPFLAGS="-I/opt/include/ncurses -march=i686" LDFLAGS="-march=i686" ./configure --prefix=/opt --with-xmlrpc-c
make
make install


NOTE: this is not what i would consider a clean compile process. libsigc++ has some annoying issues with it, i had to create some directory structure and a symlink so it could find libstdc++.la. Also i had to remove the URL tag from the libcurl pkg-config file. I will try and post the binary installation files for libtorrent and rtorrent sometime soon, so that you can probably just replace the ipkg installation files.

UPDATE:
ok i am temporarily hosting the binary packages, if someone can mirror these i would appreciate it a lot. I have two packages, one that is JUST the binary files (rtorrent and libtorrent), and the other also includes the include and pkgconfig files generated by libtorrent. Most people will just want the -bin package since you probably don't have any use for the development files. You should be able to just extract the files from root and it should overwrite your current rtorrent/libtorrent ipkg installations.

here are the files:
http://errorok.com/files/rtorrent-optwa ... 2.9.tar.gz
http://errorok.com/files/rtorrent-optwa ... 2.9.tar.gz

REMEMBER, these are for i686 cpu's (i.e. the atom and core cpus), don't use these files if you have a different cpu, if you do have a different cpu you'll have to try and build your own binaries from the terrible instructions above.
pjs
Trainee
Trainee
 
Posts: 14
Joined: Tue Aug 14, 2012 8:11 pm

Re: rTorrent + ruTorrent

Postby MaximumFish » Fri Oct 19, 2012 1:14 am

pjs, you're an absolute legend! I spent a good week trying to compile 0.8.9 and up and ran into problem after problem. I think once I actually did manage to get something built but then it refused to run so I just gave up.

I've put up a mirror for you. It should be permanent:

http://maximumfish.com/misc/rtorrent-op ... 2.9.tar.gz
http://maximumfish.com/misc/rtorrent-op ... 2.9.tar.gz

Have you considered submitting it back up to Optware? http://www.nslu2-linux.org/wiki/Optware ... eToOptware

Edit: It's worth noting that I had to compile XMLRPC-C as per the instructions you linked in your post. The lastest stable version compiled and installed just fine.
MaximumFish
Rookie
Rookie
 
Posts: 34
Joined: Wed Mar 28, 2012 3:20 am

Re: rTorrent + ruTorrent

Postby pjs » Sun Nov 11, 2012 3:55 am

I am updating to libtorrent/rtorrent 0.13.3/0.9.3 today. I will post the binaries like last time so that you can just replace them. you can download the source packages from the rtorrent following locations:

http://libtorrent.rakshasa.no/downloads ... 3.3.tar.gz
http://libtorrent.rakshasa.no/downloads ... 9.3.tar.gz

I will document the compile process here (though my development environment is still the same as above, so you may have to do some things i did in my last post first).

I needed to upgrade libsigc++ for libtorrent, so we'll start with that. grab the source package from here:

http://ftp.gnome.org/pub/GNOME/sources/ ... 10.tar.bz2

extract it and then start the process

Code: Select all
CPPFLAGS="-march=i686" LDFLAGS="-march=i686" ./configure --prefix=/opt
make
make install


the pkg-config file for libsigc++ will have a URL tag in it, we have to comment that out before the synology version of pkg-config will read the file properly (i should really just upgrade pkg-config one of these days).

now extract the libtorrent source package.

First, i noticed that the new libtorrent configure script has pkg-config look for libcrypto instead of openssl (they are the same), so i had to symlink the two pkg-config files.

Code: Select all
ln -s openssl.pc /opt/lib/pkgconfig/libcrypto.pc


Now you can configure and build, just like before

Code: Select all
CPPFLAGS="-march=i686" LDFLAGS="-march=i686" ./configure --prefix=/opt
make
make install


Now do the same as before with the new rtorrent package

Code: Select all
CPPFLAGS="-I/opt/include/ncurses -march=i686" LDFLAGS="-march=i686" ./configure --prefix=/opt --with-xmlrpc-c
make
make install


files are hosted here again (temporary like before, i should really just move them to a permanent location on this server):

http://errorok.com/files/rtorrent-optwa ... 3.2.tar.gz
http://errorok.com/files/rtorrent-optwa ... 3.2.tar.gz
pjs
Trainee
Trainee
 
Posts: 14
Joined: Tue Aug 14, 2012 8:11 pm

Re: rTorrent + ruTorrent

Postby usua69 » Fri Nov 23, 2012 12:34 pm

marct5 wrote:Dear all,

Since installing DSM4 I'm having a problem running rutorrent. I get these errors:
[09.04.2012 16:12:18] WebUI started.
[09.04.2012 16:12:19] Bad response from server: (12029 [null,getplugins])
[09.04.2012 16:12:19] Bad response from server: (12029 [error,getplugins])
[09.04.2012 16:12:20] Bad response from server: (12029 [null,getuisettings])
[09.04.2012 16:12:20] Bad response from server: (12029 [error,getuisettings])

I think I found the problem, because the mediaserver in DSM4 installs its own lighttpd.
After a reboot, this version of light is running:
ps | grep light
8243 root 9440 S /var/packages/MediaServer/target/sbin/lighttpd -f /var

Whereas I need this one:
ps | grep light
30662 root 5860 S /opt/sbin/lighttpd -f /opt/etc/lighttpd/lighttpd.conf

I can of course restart the one I installed using the rutorrent wiki (the one in /opt/bin) and after that rutorrent is working like a charm BUT than my mediaserver doesn't work anymore!

Is there something I can do to have them both funtioning properly?
Thanks in advance for the help!


I have the same problem....

How to solve this?

Need help please.
usua69
Trainee
Trainee
 
Posts: 10
Joined: Mon Sep 24, 2012 9:38 pm

Re: rTorrent + ruTorrent

Postby r1c0 » Wed Nov 28, 2012 12:07 am

Hi Guys!

I now planning to buy a ds413 and one of most important for me would be the torrent download/upload speeds.
Can you help me on posting what was the max/avg download/upload speed with torrent

Thanks for Your help!
r1c0
I'm New!
I'm New!
 
Posts: 3
Joined: Tue Nov 27, 2012 11:52 pm

Re: rTorrent + ruTorrent

Postby GoodOmens » Wed Dec 05, 2012 4:05 am

Anyone have any hints on how to compile this on the DS413?

I have ruTorrent/rtorrent 3.4 and ipkg version working fine (0.8.6) but would like to update to the latest and greatest.

I tried compiling sigc++ and immediately got a error that "C++ compiler cannot create executables"

I tried setting CPPFLAGS="-march=i386" LDFLAGS="-march=i386" to no avail....

Seems in the log file the following happens when it tests the C++ compiler:

Code: Select all
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__adddf3@GLIBC_2.3.3
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__muldf3@GLIBC_2.3.3
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__fixunsdfsi@GLIBC_2
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__floatsidf@GLIBC_2.
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__extendsfdf2@GLIBC_
/opt/lib/gcc/powerpc-linux-gnuspe/3.4.6/../../../../powerpc-linux-gnuspe/lib/libm.so: undefined reference to `__subdf3@GLIBC_2.3.3


Edit:

Got sigc++ successfully installed by copying the lib from /lib to /powerpc-linux-gnuspe/lib/libm.so. Now a new problem compiling torrent lib

./configure works fine but when I go to make I get the following:

Code: Select all
Entering directory `/root/libtorrent-0.13.3/src/torrent/data'
/opt/bin/bash ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../.. -I. -I./.. -I./../.. -I../../..    -g -O2 -g -DDEBUG -pthread -I/opt/include   -MT block.lo -MD -MP -MF .deps/block.Tpo -c -o block.lo block.cc
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -I. -I./.. -I./../.. -I../../.. -g -O2 -g -DDEBUG -pthread -I/opt/include -MT block.lo -MD -MP -MF .deps/block.Tpo -c block.cc  -fPIC -DPIC -o .libs/block.o
In file included from ./../../protocol/peer_connection_base.h:42,
                 from block.cc:44:
./../../torrent/poll.h:40:26: tr1/functional: No such file or directory
In file included from ./../../protocol/peer_connection_base.h:42,
                 from block.cc:44:
./../../torrent/poll.h:49: error: `std::tr1' has not been declared
./../../torrent/poll.h:49: error: ISO C++ forbids declaration of `f
GoodOmens
I'm New!
I'm New!
 
Posts: 4
Joined: Tue Dec 04, 2012 2:10 am

Re: rTorrent + ruTorrent

Postby GoodOmens » Fri Dec 07, 2012 9:44 pm

Success!

Have rtorrent 0.9.2/0.13.2 running on my DS413. I gave up on trying to compile on the DS413 because of a ancient GCC version and instead made a small dev box.

Created a small debian VM and used the tool chain and instructions from here:

http://www.droboports.com/app-repository/rtorrent-0-8-9 I replaced the drobo tool chain calls with the correct ones for the QorIQ (from the 3rd party App user guide). Theoretically this should work for any tool chain.

This allowed me to cross-compile and a singe rtorrent binary that I replaced with the opt-ware version and got it working just fine!

Wow that was a headache....
GoodOmens
I'm New!
I'm New!
 
Posts: 4
Joined: Tue Dec 04, 2012 2:10 am

Re: rTorrent + ruTorrent

Postby foxstation » Mon Dec 24, 2012 8:04 am

pjs wrote:I can't live without magnet support, so here is how i added it.


awesome post, exactly what i'm looking for, but for use on the DS212j. i've got rtorrent/rutorrent working now, but with no magnet support : (

the DS212j is an ARM processor, so i'm guessing the process is slightly different than the x86 based box, but not sure what to do.

any help would be greatly appreciated, thanks.
foxstation
I'm New!
I'm New!
 
Posts: 3
Joined: Tue Dec 18, 2012 3:30 pm

Re: rTorrent + ruTorrent

Postby Sillion » Tue Dec 25, 2012 1:33 am

Hello what I have to follow instructions when I wants to install rtorrent 0.9.2/0.13.2
I have DS1812 +

THX
Sillion
I'm New!
I'm New!
 
Posts: 1
Joined: Tue Dec 25, 2012 1:13 am

PreviousNext

Return to Torrent Engines/Download Station Mods

Who is online

Users browsing this forum: No registered users and 2 guests